<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>com.muyu</groupId>
        <artifactId>cloud-modules</artifactId>
        <version>3.6.3</version>
    </parent>

    <artifactId>cloud-modules-vehicleGateway</artifactId>

    <description>
        cloud-modules-vehicleGateway车辆网关模块
    </description>

    <properties>
        <maven.compiler.source>17</maven.compiler.source>
        <maven.compiler.target>17</maven.compiler.target>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <mqtt.version>1.2.5</mqtt.version>
    </properties>

    <dependencies>

        <!-- MQTT -->
        <dependency>
            <groupId>org.eclipse.paho</groupId>
            <artifactId>org.eclipse.paho.client.mqttv3</artifactId>
            <version>${mqtt.version}</version>
        </dependency>

        <!-- 阿里云 -->
        <dependency>
            <groupId>com.aliyun</groupId>
            <artifactId>ecs20140526</artifactId>
            <version>5.1.8</version>
        </dependency>
        <dependency>
            <groupId>com.aliyun</groupId>
            <artifactId>tea-openapi</artifactId>
            <version>0.3.2</version>
        </dependency>
        <dependency>
            <groupId>com.aliyun</groupId>
            <artifactId>tea-console</artifactId>
            <version>0.0.1</version>
        </dependency>
        <dependency>
            <groupId>com.aliyun</groupId>
            <artifactId>tea-util</artifactId>
            <version>0.2.21</version>
        </dependency>

<!--        &lt;!&ndash; Cloud Gateway &ndash;&gt;-->
<!--        &lt;!&ndash; SpringCloud Gateway &ndash;&gt;-->
<!--        <dependency>-->
<!--            <groupId>org.springframework.cloud</groupId>-->
<!--            <artifactId>spring-cloud-starter-gateway</artifactId>-->
<!--        </dependency>-->
<!--        &lt;!&ndash; SpringCloud Alibaba Sentinel Gateway &ndash;&gt;-->
<!--        <dependency>-->
<!--            <groupId>com.alibaba.cloud</groupId>-->
<!--            <artifactId>spring-cloud-alibaba-sentinel-gateway</artifactId>-->
<!--        </dependency>-->
<!--        &lt;!&ndash; Sentinel Datasource Nacos &ndash;&gt;-->
<!--        <dependency>-->
<!--            <groupId>com.alibaba.csp</groupId>-->
<!--            <artifactId>sentinel-datasource-nacos</artifactId>-->
<!--        </dependency>-->
<!--        &lt;!&ndash; SpringCloud Loadbalancer &ndash;&gt;-->
<!--        <dependency>-->
<!--            <groupId>org.springframework.cloud</groupId>-->
<!--            <artifactId>spring-cloud-loadbalancer</artifactId>-->
<!--        </dependency>-->
<!--        &lt;!&ndash; MuYu Common Redis&ndash;&gt;-->
<!--        <dependency>-->
<!--            <groupId>com.muyu</groupId>-->
<!--            <artifactId>cloud-common-redis</artifactId>-->
<!--        </dependency>-->
<!--        <dependency>-->
<!--            <groupId>com.github.xiaoymin</groupId>-->
<!--            <artifactId>knife4j-gateway-spring-boot-starter</artifactId>-->
<!--            <version>4.5.0</version>-->
<!--        </dependency>-->


        <!-- SpringCloud Alibaba Nacos -->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-discovery</artifactId>
        </dependency>

        <!-- SpringCloud Alibaba Nacos Config -->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-config</artifactId>
        </dependency>

        <!-- SpringCloud Alibaba Sentinel -->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-sentinel</artifactId>
        </dependency>

        <!-- SpringBoot Actuator -->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-actuator</artifactId>
        </dependency>

        <!-- Mysql Connector -->
        <dependency>
            <groupId>com.mysql</groupId>
            <artifactId>mysql-connector-j</artifactId>
        </dependency>

        <!-- MuYu Common DataSource -->
        <dependency>
            <groupId>com.muyu</groupId>
            <artifactId>cloud-common-datasource</artifactId>
        </dependency>

        <!-- MuYu Common DataScope -->
        <dependency>
            <groupId>com.muyu</groupId>
            <artifactId>cloud-common-datascope</artifactId>
        </dependency>

        <!-- MuYu Common Log -->
        <dependency>
            <groupId>com.muyu</groupId>
            <artifactId>cloud-common-log</artifactId>
        </dependency>

        <!-- 接口模块 -->
        <dependency>
            <groupId>com.muyu</groupId>
            <artifactId>cloud-common-api-doc</artifactId>
        </dependency>

    </dependencies>

    <build>
        <finalName>${project.artifactId}</finalName>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <executions>
                    <execution>
                        <goals>
                            <goal>repackage</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>

</project>
